{% extends appTheme.getTheme~'/base.html.twig' %}
{% from "default/macros/form.html.twig" import input_field, input_image, input_checkbox %}

{% block title %}{% trans %}Paramètres de l'application{% endtrans %}{% endblock %}

{% form_theme settingsForm appTheme.getTheme~'/form/fields.html.twig' %}

{% block body %}

    <div class="container">
        <h1>{% trans %}Paramètres de l'application{% endtrans %}</h1>
        <p class="title-notice notice">{% trans %}Tous les champs comportants * sont obligatoires.{% endtrans %}</p>

        {% include appTheme.getTheme~'/utils/messages.html.twig' %}

        <div class="container-small settings">
            {{ form_start(settingsForm) }}
                <h2>{% trans %}Paramètres du site{% endtrans %}</h2>

                <div class="inputs-wrapper">
                    {{ input_field(settingsForm.appName) }}
                    {{ input_field(settingsForm.appUrl) }}
                    {{ input_image(settingsForm.appLogo, settingsForm.vars.data.appLogo, 'settings') }}
                    {{ input_checkbox(settingsForm.appLogoDeleted) }}
                    {{ input_image(settingsForm.appFavicon, settingsForm.vars.data.appFavicon, 'settings') }}
                    {{ input_checkbox(settingsForm.appFaviconDeleted) }}
                    {{ input_field(settingsForm.departmentName) }}
                    {{ input_field(settingsForm.departmentSite) }}
                    {{ input_field(settingsForm.departmentCilSite) }}
                    {{ input_field(settingsForm.connectionAttempts) }}
                </div>

                <h2>{% trans %}Paramètres de recherche{% endtrans %}</h2>
                <div class="inputs-wrapper">
                    {{ input_checkbox(settingsForm.soundexSearch) }}
                    {{ input_checkbox(settingsForm.acceptErrorInBirthDate) }}
                    {{ input_checkbox(settingsForm.ignoreDifferentFirstNameSearch) }}
                    {{ input_checkbox(settingsForm.searchByName) }}
                </div>

                <h2>{% trans %}Paramètres de l'échange documentaire{% endtrans %}</h2>
                <div class="inputs-wrapper">
                    {{ input_checkbox(settingsForm.documentaryExchange) }}
                    {{ input_checkbox(settingsForm.answerCallDocumentTemp) }}
                    {{ input_checkbox(settingsForm.sendMailDocumentaryExchange) }}
                </div>

                <h2>{% trans %}Alerte décès{% endtrans %}</h2>

                <div class="inputs-wrapper">
                    {{ input_checkbox(settingsForm.deathAlert) }}
                    {{ input_field(settingsForm.deathAlertMail) }}
                </div>

                <h2>{% trans %}Paramètres des créances{% endtrans %}</h2>

                <div class="inputs-wrapper">
                    {{ input_checkbox(settingsForm.claims) }}
                    {{ input_field(settingsForm.claimsRecoverableStep) }}
                    {{ input_field(settingsForm.claimsNonRecoverableStep) }}
                    {{ input_field(settingsForm.claimsMail) }}
                    {{ input_field(settingsForm.claimsMailManagement) }}
                </div>

                <h2>{% trans %}Paramètres des mails système{% endtrans %}</h2>

                <div class="inputs-wrapper">
                    {{ input_field(settingsForm.mailSignature) }}
                    {{ input_field(settingsForm.mailIntroduction) }}
                    {{ input_field(settingsForm.mailNotaBene) }}
                </div>

                <h2>{% trans %}Paramètres des mails métier{% endtrans %}</h2>

                <div class="inputs-wrapper">
                    {{ input_field(settingsForm.mailBusinessSignature) }}
                    {{ input_image(settingsForm.mailBusinessImgSignature, settingsForm.vars.data.mailBusinessImgSignature, 'settings') }}
                    {{ input_checkbox(settingsForm.mailBusinessImgSignatureDeleted) }}
                </div>

                <h2>{% trans %}Paramètres des lettres PDF{% endtrans %}</h2>

                <div class="inputs-wrapper">
                    {{ input_field(settingsForm.pdfDestinationCity) }}
                    {{ input_image(settingsForm.pdfLogo1, settingsForm.vars.data.pdfLogo1, 'settings') }}
                    {{ input_checkbox(settingsForm.pdfLogo1Deleted) }}
                    {{ input_image(settingsForm.pdfLogo2, settingsForm.vars.data.pdfLogo2, 'settings') }}
                    {{ input_checkbox(settingsForm.pdfLogo2Deleted) }}
                    {{ input_image(settingsForm.pdfServiceLogo, settingsForm.vars.data.pdfServiceLogo, 'settings') }}
                    {{ input_checkbox(settingsForm.pdfServiceLogoDeleted) }}
                    {{ input_field(settingsForm.pdfSuccessionMail) }}
                    {{ input_image(settingsForm.pdfSignature, settingsForm.vars.data.pdfSignature, 'settings') }}
                    {{ input_checkbox(settingsForm.pdfSignatureDeleted) }}
                    {{ input_field(settingsForm.pdfDepartmentalHouseName) }}
                    {{ input_field(settingsForm.pdfDepartmentalHousePhone) }}
                    {{ input_field(settingsForm.pdfCSS) }}
                    {% if settingsForm.vars.data.pdfCSS %}
                        <div class="file-link">
                            <a href="{{ uploaded_asset(settingsForm.vars.data.pdfCSS) }}" target="_blank">
                                {% trans %}Voir le contenu du fichier actuel{% endtrans %}
                            </a>
                        </div>
                    {% endif %}
                </div>

                <h2>{% trans %}Message de service{% endtrans %}</h2>

                <div class="inputs-wrapper">
                    {{ input_field(settingsForm.serviceMessage) }}
                </div>

                <h2>{% trans %}Paramètres Instructeurs{% endtrans %}</h2>

                <div class="inputs-wrapper">
                    {{ input_checkbox(settingsForm.instructorFilter) }}
                </div>

                <div class="flex-container align-right">
                    <button type="submit" class="border-button">{% trans %}Sauvergarder{% endtrans %}</button>
                </div>
            {{ form_end(settingsForm) }}
        </div>
    </div>
{% endblock %}
